### Hierarchy

- unknown
  - IsMoneroNodeOnlineReply

## Index

### Constructors

- constructor

### Methods

- getIsRunning
- serializeBinary
- setIsRunning
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new IsMoneroNodeOnlineReply(): IsMoneroNodeOnlineReply

- Inherited from jspb.Message.constructor

  #### Returns IsMoneroNodeOnlineReply

## Methods

### getIsRunning

- getIsRunning(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1196

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1199

  #### Returns Uint8Array

### setIsRunning

- setIsRunning(value: boolean): IsMoneroNodeOnlineReply

- - Defined in src/protobuf/grpc_pb.d.ts:1197

  #### Parameters

  - ##### value: boolean

  #### Returns IsMoneroNodeOnlineReply

### toObject

- toObject(includeInstance?: boolean): IsMoneroNodeOnlineReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1200

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns IsMoneroNodeOnlineReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): IsMoneroNodeOnlineReply

- - Defined in src/protobuf/grpc_pb.d.ts:1203

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IsMoneroNodeOnlineReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IsMoneroNodeOnlineReply, reader: BinaryReader): IsMoneroNodeOnlineReply

- - Defined in src/protobuf/grpc_pb.d.ts:1204

  #### Parameters

  - ##### message: IsMoneroNodeOnlineReply

  - ##### reader: BinaryReader

  #### Returns IsMoneroNodeOnlineReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: IsMoneroNodeOnlineReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1202

  #### Parameters

  - ##### message: IsMoneroNodeOnlineReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: IsMoneroNodeOnlineReply ): IsMoneroNodeOnlineReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1201

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IsMoneroNodeOnlineReply

  #### Returns IsMoneroNodeOnlineReply . AsObject

Generated using TypeDoc